aboutsummaryrefslogtreecommitdiffstats
path: root/extra/libao/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-15 18:23:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-15 18:23:29 +0000
commit6846a1a22fc2266ff4cc4fd163a0f88dcd5e6f02 (patch)
treedca3b6a39f5a1039e0a0deaa50cd9b828492ef97 /extra/libao/APKBUILD
parentf0eaaf6678130757ef2b191e0a92c98d6bc59692 (diff)
downloadaports-6846a1a22fc2266ff4cc4fd163a0f88dcd5e6f02.tar.gz
aports-6846a1a22fc2266ff4cc4fd163a0f88dcd5e6f02.tar.bz2
aports-6846a1a22fc2266ff4cc4fd163a0f88dcd5e6f02.tar.xz
extra/libao: new aport
Cross-platform audio output library and plugins http://www.xiph.org/ao
Diffstat (limited to 'extra/libao/APKBUILD')
-rw-r--r--extra/libao/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/extra/libao/APKBUILD b/extra/libao/APKBUILD
new file mode 100644
index 0000000000..a82ba46587
--- /dev/null
+++ b/extra/libao/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libao
+pkgver=0.8.8
+pkgrel=1
+pkgdesc="Cross-platform audio output library and plugins"
+url="http://www.xiph.org/ao"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc alsa-lib"
+makedepends="alsa-lib-dev"
+source="http://downloads.xiph.org/releases/ao/$pkgname-$pkgver.tar.gz"
+
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --enable-alsa09 \
+ --disable-esd \
+ --disable-arts
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+md5sums="b92cba3cbcf1ee9bc221118a85d23dcd libao-0.8.8.tar.gz"